## tuxpaint 0.9.17

=== Makefile ===
# Makefile for tuxpaint
# $Id: Makefile,v 1.141 2007/07/01 15:01:35 wkendrick Exp $

# Tux Paint - A simple drawing program for children.

# Copyright (c) 2002-2007 by Bill Kendrick and others
# bill@newbreedsoftware.com
# http://www.tuxpaint.org/

# June 14, 2002 - July 1, 2007


# The version number, for release:

VER_VERSION=0.9.17
VER_DATE=`date +"%Y-%m-%d"`


# Where to install things:

PREFIX=/usr/local


# Root directory to place files when creating packages.

PKG_ROOT=


# Program:

BIN_PREFIX=$(PKG_ROOT)$(PREFIX)/bin
EXE_EXT=


# Data:

DATA_PREFIX=$(PKG_ROOT)$(PREFIX)/share/tuxpaint


# Docs and man page:

DOC_PREFIX=$(PKG_ROOT)$(PREFIX)/share/doc/tuxpaint
MAN_PREFIX=$(PKG_ROOT)$(PREFIX)/share/man


# 'System-wide' Config file:

ifeq ($(PREFIX),/usr)
  CONFDIR=$(PKG_ROOT)/etc/tuxpaint
else
  CONFDIR=$(PKG_ROOT)$(PREFIX)/etc/tuxpaint
endif


# Commands useful to other arch's (e.g., BeOS)

RSRC_CMD=echo -n
MIMESET_CMD=echo -n


# Icons and launchers:

ICON_PREFIX=$(PKG_ROOT)$(PREFIX)/share/pixmaps
X11_ICON_PREFIX=$(PKG_ROOT)$(PREFIX)/X11R6/include/X11/pixmaps
GNOME_PREFIX=`gnome-config --prefix 2> /dev/null`
KDE_PREFIX=`kde-config --install apps --expandvars 2> /dev/null`
KDE_ICON_PREFIX=`kde-config --install icon --expandvars 2> /dev/null`


# Built with sound by default  (override with "make nosound")

NOSOUNDFLAG=__SOUND


# Built with SVG support (via Cairo) by default  (override with "make nosvg")

NOSVGFLAG=__SVG


# Built with libcairo2 support by default  (use libcairo1 with "make oldsvg")

OLDSVGFLAG=__SVG


# Maemo flag

MAEMOFLAG=NO_MAEMOFLAG


# Where to find cursor shape XBMs

MOUSEDIR=mouse
CURSOR_SHAPES=LARGE

# MOUSEDIR=mouse/16x16
# CURSOR_SHAPES=SMALL


# Libraries, paths, and flags:

SDL_LIBS=$(shell sdl-config --libs) -lSDL_image -lSDL_ttf $(SDL_MIXER_LIB)
SDL_MIXER_LIB=-lSDL_mixer
SDL_CFLAGS=$(shell sdl-config --cflags) $(SVG_CFLAGS)


SVG_LIB=-lrsvg-2 -lcairo
SVG_CFLAGS=-I/usr/include/librsvg-2/librsvg \
	-I/usr/include/gtk-2.0 \
	-I/usr/include/glib-2.0 \
	-I/usr/lib/glib-2.0/include \
	-I/usr/include/cairo

PAPER_LIB=-lpaper


# The entire set of CFLAGS:

#-ffast-math
OPTFLAGS=-O2
CFLAGS=$(OPTFLAGS) -W -Wall -fno-common -ffloat-store \
	-Wcast-align -Wredundant-decls \
	-Wbad-function-cast -Wwrite-strings \
	-Waggregate-return \
	-Wstrict-prototypes -Wmissing-prototypes \
	`src/test-option.sh -Wdeclaration-after-statement`

DEFS=-DDATA_PREFIX=\"$(DATA_PREFIX)/\" \
	-D$(NOSOUNDFLAG) -D$(NOSVGFLAG) -D$(OLDSVGFLAG) \
	-DDOC_PREFIX=\"$(DOC_PREFIX)/\" \
	-DLOCALEDIR=\"$(LOCALE_PREFIX)/\" -DIMDIR=\"$(IM_PREFIX)/\" \
	-DCONFDIR=\"$(CONFDIR)/\" \
	-DVER_VERSION=\"$(VER_VERSION)\" \
	-DVER_DATE=\"$(VER_DATE)\" \
	-D$(MAEMOFLAG)

DEBUG_FLAGS=
#DEBUG_FLAGS=-g

MOUSE_CFLAGS=-Isrc/$(MOUSEDIR) -D$(CURSOR_SHAPES)_CURSOR_SHAPES


# "make" with no arguments builds the program and man page from sources:

all:	tuxpaint translations
	@echo
	@echo "--------------------------------------------------------------"
	@echo
	@echo "Done compiling."
	@echo
	@echo "Now run 'make install' with any options you ran 'make' with."
	@echo "to install Tux Paint."
	@echo
	@echo "You may need superuser ('root') priveleges, depending on"
	@echo "where you're installing."
	@echo "(Depending on your system, you either need to 'su' first,"
	@echo "or run 'sudo make install'.)"
	@echo

releaseclean:
	@echo
	@echo "Cleaning release directory"
	@echo
	@rm -rf "build/tuxpaint-$(VER_VERSION)" "build/tuxpaint-$(VER_VERSION).tar.gz"
	@-if [ -d build ] ; then rmdir build ; fi

releasedir: build/tuxpaint-$(VER_VERSION)

build/tuxpaint-$(VER_VERSION):
	@echo
	@echo "Creating release directory"
	@echo
	@mkdir -p build/tuxpaint-$(VER_VERSION)
	@find . -follow \
	     \( -wholename '*/CVS' -o -name .cvsignore -o -name 'build' -o -name '.#*' \) \
	     -prune -o -type f -exec cp --parents -vdp \{\} build/tuxpaint-$(VER_VERSION)/ \;

release: releasedir
	@echo
	@echo "Creating release tarball"
	@echo
	@cd build ; \
	    tar -czvf tuxpaint-$(VER_VERSION).tar.gz tuxpaint-$(VER_VERSION)


# "make nosound" builds the program with sound disabled:

nosound:
	@echo
	@echo "Building with sound DISABLED"
	@echo
	make SDL_MIXER_LIB= NOSOUNDFLAG=NOSOUND


# "make nosvg" builds the program with SVG (Cairo2) support disabled:

nosvg:
	@echo
	@echo "Building with SVG DISABLED"
	@echo
	make SVG_LIB= SVG_CFLAGS= NOSVGFLAG=NOSVG


# "make oldsvg" builds the program using older SVG (Cairo1) libraries:

oldsvg:
	@echo
	@echo "Building with CAIRO1 SVG SUPPORT"
	@echo
	make SVG_LIB="-lcairo -lsvg -lsvg-cairo" OLDSVGFLAG=OLD_SVG


# "make olpc" builds the program for an OLPC XO:

olpc:
	@echo
	@echo "Building for an OLPC XO"
	@echo
	make SVG_LIB= SVG_CFLAGS= NOSVGFLAG=NOSVG OPTFLAGS='-O2 -fno-tree-pre -march=athlon -mtune=generic -mpreferred-stack-boundary=2 -mmmx -m3dnow -fomit-frame-pointer -falign-functions=0 -falign-jumps=0 -DOLPC_XO -DSUGAR'


# "make beos" builds the program for BeOS

beos:
	make \
		PREFIX=/boot/develop/tools/gnupro \
		BIN_PREFIX=./ \
		DATA_PREFIX=./data \
		DOC_PREFIX=./docs \
		MAN_PREFIX=./src \
		CONFDIR=./src/ \
		ICON_PREFIX=. \
		X11_ICON_PREFIX=. \
		LOCALE_PREFIX=/boot/home/config/share/locale \
		IM_PREFIX=./src \
		CFLAGS="-O1 -funroll-loops -fomit-frame-pointer -pipe -Wall" \
		RSRC_CMD="xres -o tuxpaint tuxpaint.rsrc" \
		MIMESET_CMD="mimeset -f tuxpaint" \
		ARCH_LINKS="-lintl -lpng -lz -lbe" \
		ARCH_HEADERS="src/BeOS_Print.h" \
		ARCH_LIBS="obj/BeOS_print.o"

# "make win32" builds the program for Windows using MinGW/MSYS.
# The DATA_, DOC_ and LOCALE_ prefixes are absolute paths.
# Suitable for development/testing in the MinGW/MSYS environment.
win32:
	make \
		PREFIX=/usr/local \
		BIN_PREFIX=$(PREFIX)/bin \
		EXE_EXT=.exe \
		DATA_PREFIX=$(PREFIX)/share/tuxpaint \
		DOC_PREFIX=$(PREFIX)/share/doc/tuxpaint \
		MAN_PREFIX=$(PREFIX)/share/man \
		ICON_PREFIX=. \
		X11_ICON_PREFIX=. \
		LOCALE_PREFIX=$(PREFIX)/share/locale \
		IM_PREFIX=$(PREFIX)/share/tuxpaint/im \
		CONFDIR=$(PREFIX)/etc/tuxpaint \
		ARCH_LINKS="-lintl -lpng12 -lwinspool -lshlwapi" \
		ARCH_HEADERS="src/win32_print.h" \
		ARCH_LIBS="obj/win32_print.o obj/resource.o" \
		SVG_CFLAGS=-I/usr/local/include/cairo \
		SVG_LIB="-lcairo -lsvg -lsvg-cairo" \
		OLDSVGFLAG=OLD_SVG \
		PAPER_LIB= \

# "make nokia770" builds the program for the Nokia 770.

nokia770:
	make \
		DATA_PREFIX=/usr/share/tuxpaint \
		SVG_LIB= SVG_CFLAGS= NOSVGFLAG=NOSVG \
		MAEMOFLAG=NOKIA_770 \
		LOCALE_PREFIX=$(PREFIX)/share/locale \
		CONFDIR=/etc/tuxpaint


# Include the i18n stuff (moved out of main Makefile -bjk 2007.05.02)
#
include Makefile-i18n


# "make install" installs all of the various parts
# (depending on the *PREFIX variables at the top, you probably need
# to do this as superuser ("root"))

install:	install-bin install-data install-man install-doc \
		install-icon install-gettext install-im install-importscript \
		install-default-config install-example-stamps \
		install-example-starters \
		install-gnome install-kde install-kde-icons
	@echo
	@echo "--------------------------------------------------------------"
	@echo
	@echo "All done! Now (preferably NOT as 'root' superuser),"
	@echo "you can type the command 'tuxpaint' to run the program!!!"
	@echo
	@echo "For more information, see the 'tuxpaint' man page,"
	@echo "run 'tuxpaint --usage' or see $(DOC_PREFIX)/README.txt"
	@echo
	@echo "Visit Tux Paint's home page for more information, updates"
	@echo "and to learn how you can help out!"
	@echo
	@echo "  http://www.tuxpaint.org/"
	@echo
	@echo "Enjoy!"
	@echo


# Installs the various parts for the MinGW/MSYS development/testing environment.

install-private-win32:	install-bin install-data install-man install-doc \
		install-gettext install-im install-importscript \
		install-default-config install-example-stamps \
		install-example-starters
	@echo
	@echo "--------------------------------------------------------------"
	@echo
	@echo "All done!"
	@echo "Now you can type the command 'tuxpaint' to run the program!!!"
	@echo
	@echo "For more information, see the 'tuxpaint' man page,"
	@echo "run 'tuxpaint --usage' or see $(DOC_PREFIX)/README.txt"
	@echo
	@echo "Visit Tux Paint's home page for more information, updates"
	@echo "and to learn how you can help out!"
	@echo
	@echo "  http://www.tuxpaint.org/"
	@echo
	@echo "Enjoy!"
	@echo


# Installs the various parts for the MinGW/MSYS development/testing environment.

bdist-private-win32:	install-bin install-data install-doc \
		install-gettext install-im install-dlls\
		install-example-stamps install-example-starters
	@echo
	@echo "--------------------------------------------------------------"
	@echo
	@echo "A binary distribution suitable for running on Windows systems"
	@echo "other than this one is now available in $(PREFIX)."
	@echo
	@echo "Try compiling the InnoSetup installer script 'tuxpaint.iss'."
	@echo


# "make install-beos" installs Tux Paint, but using BeOS settings

install-beos:
	make install \
		PREFIX=/boot/develop/tools/gnupro \
		BIN_PREFIX=./ \
		DATA_PREFIX=./data \
		DOC_PREFIX=./docs \
		MAN_PREFIX=./src \
		CONFDIR=./src/ \
		ICON_PREFIX=. \
		X11_ICON_PREFIX=. \
		LOCALE_PREFIX=/boot/home/config/share/locale \
		IM_PREFIX=./src \
		CFLAGS="-O1 -funroll-loops -fomit-frame-pointer -pipe -Wall" \
		RSRC_CMD="xres -o tuxpaint tuxpaint.rsrc" \
		MIMESET_CMD="mimeset -f tuxpaint" \
		ARCH_LINKS="-lintl -lpng -lz -lbe" \
		ARCH_HEADERS="src/BeOS_Print.h" \
		ARCH_LIBS="obj/BeOS_print.o"

# "make install-win32" installs Tux Paint, but using MinGW/MSYS settings
# Suitable for development/testing in the MinGW/MSYS environment.
install-win32:
	strip -s tuxpaint.exe
	make install-private-win32 \
		PREFIX=/usr/local \
		BIN_PREFIX=$(PREFIX)/bin \
		EXE_EXT=.exe \
		DATA_PREFIX=$(PREFIX)/share/tuxpaint \
		DOC_PREFIX=$(PREFIX)/share/doc/tuxpaint \
		MAN_PREFIX=$(PREFIX)/share/man \
		ICON_PREFIX=. \
		X11_ICON_PREFIX=. \
		LOCALE_PREFIX=$(PREFIX)/share/locale \
		IM_PREFIX=$(PREFIX)/share/tuxpaint/im \
		CONFDIR=$(PREFIX)/etc/tuxpaint \

# "make bdist-win32" recompiles Tux Paint to work with executable-relative
# data, docs and locale directories. Also copies all files, including DLLs,
# into a 'bdist' output directory ready for processing by an installer script.
bdist-win32:
	@-rm -f tuxpaint.exe
	@-rm -f obj/*.o
	make \
		PREFIX=./visualc/bdist \
		BIN_PREFIX=$(PREFIX)/bin \
		EXE_EXT=.exe \
		DATA_PREFIX=data \
		DOC_PREFIX=docs \
		LOCALE_PREFIX=locale \
		IM_PREFIX=im \
		ARCH_LINKS="-lintl -lpng12 -lwinspool -lshlwapi" \
		ARCH_HEADERS="src/win32_print.h" \
		ARCH_LIBS="obj/win32_print.o obj/resource.o" \
		SVG_CFLAGS=-I/usr/local/include/cairo \
		SVG_LIB="-lcairo -lsvg -lsvg-cairo" \
		OLDSVGFLAG=OLD_SVG \
		PAPER_LIB= 
	strip -s tuxpaint.exe
	make bdist-private-win32 \
		PREFIX=./visualc/bdist \
		BIN_PREFIX=./visualc/bdist \
		EXE_EXT=.exe \
		DATA_PREFIX=./visualc/bdist/data \
		DOC_PREFIX=./visualc/bdist/docs \
		LOCALE_PREFIX=./visualc/bdist/locale \
		IM_PREFIX=./visualc/bdist/im \

# "make bdist-clean" deletes the 'bdist' directory
bdist-clean:
	@echo
	@echo "Cleaning up the 'bdist' directory! ($(PWD))"
	@-rm -rf ./visualc/bdist
	@echo

# "make clean" deletes the program, the compiled objects and the
# built man page (returns to factory archive, pretty much...)

clean:
	@echo
	@echo "Cleaning up the build directory! ($(PWD))"
	@-rm -f tuxpaint
	@-rm -f obj/*.o
	@#if [ -d obj ]; then rmdir obj; fi
	@-rm -f trans/*.mo
	@if [ -d trans ]; then rmdir trans; fi
	@echo


# "make uninstall" should remove the various parts from their
# installation locations.  BE SURE the *PREFIX variables at the top
# are the same as they were when you installed, of course!!!

uninstall:	uninstall-i18n
	-if [ "x$(GNOME_PREFIX)" != "x" ]; then \
	  rm $(GNOME_PREFIX)/share/gnome/apps/Graphics/tuxpaint.desktop; \
	  rm $(GNOME_PREFIX)/share/pixmaps/tuxpaint.png; \
	else \
	  rm /usr/share/gnome/apps/Graphics/tuxpaint.desktop; \
	  rm /usr/share/pixmaps/tuxpaint.png; \
	fi

=== docs/Makefile ===
# Makefile for Tux Paint docs
# 
# Uses "links" to convert docs from HTML to plain text.
# (Normally only ran by the developers after updating the HTML, prior to
# release.)
#
# Bill Kendrick
# bill@newbreedsoftware.com
# 
# Sept. 4, 2005 - March 8, 2006
# $Id: Makefile,v 1.5 2006/03/09 07:25:59 wkendrick Exp $

LINKS=links -dump -no-numbering -no-references

all:	README.txt OPTIONS.txt FAQ.txt EXTENDING.txt ADVANCED-STAMPS-HOWTO.txt

clean:
	-rm README.txt
	-rm OPTIONS.txt
	-rm FAQ.txt
	-rm EXTENDING.txt
	-rm ADVANCED-STAMPS-HOWTO.txt

README.txt:	html/README.html
	$(LINKS) $< > $@

OPTIONS.txt:	html/OPTIONS.html
	$(LINKS) $< > $@

FAQ.txt:	html/FAQ.html
	$(LINKS) $< > $@

EXTENDING.txt:	html/EXTENDING.html
	$(LINKS) $< > $@

ADVANCED-STAMPS-HOWTO.txt:	html/ADVANCED-STAMPS-HOWTO.html
	$(LINKS) $< > $@

=== src/Makefile ===
all:
	cd .. ; make

=== docs/fr/Makefile ===
# Makefile for Tux Paint docs
# 
# Uses "links" to convert docs from HTML to plain text.
# (Normally only ran by the developers after updating the HTML, prior to
# release.)
#
# Bill Kendrick
# bill@newbreedsoftware.com
# 
# Sept. 4, 2005 - October 24, 2005

LINKS=links -dump -no-numbering -no-references

all:	README1.txt README2.txt OPTIONS.txt FAQ.txt PNG.txt

clean:
	-rm README1.txt
	-rm README2.txt
	-rm OPTIONS.txt
	-rm FAQ.txt
	-rm PNG.txt

README1.txt:	html/README1.html
	$(LINKS) $< > $@

README2.txt:	html/README2.html
	$(LINKS) $< > $@

OPTIONS.txt:	html/OPTIONS.html
	$(LINKS) $< > $@

FAQ.txt:	html/FAQ.html
	$(LINKS) $< > $@

PNG.txt:	html/PNG.html
	$(LINKS) $< > $@

=== docs/ru/Makefile ===
# Makefile for Tux Paint docs
# 
# Uses "links" to convert docs from HTML to plain text.
# (Normally only ran by the developers after updating the HTML, prior to
# release.)
#
# Bill Kendrick
# bill@newbreedsoftware.com
# 
# Sept. 4, 2005 - March 8, 2006
# $Id: Makefile,v 1.1 2007/06/12 22:10:02 wkendrick Exp $

LINKS=links -dump -no-numbering -no-references

all:	README.txt OPTIONS.txt
#	FAQ.txt EXTENDING.txt ADVANCED-STAMPS-HOWTO.txt

clean:
	-rm README.txt
	-rm OPTIONS.txt
#	-rm FAQ.txt
	-rm EXTENDING.txt
	-rm ADVANCED-STAMPS-HOWTO.txt

README.txt:	html/README.html
	$(LINKS) $< > $@

OPTIONS.txt:	html/OPTIONS.html
	$(LINKS) $< > $@

FAQ.txt:	html/FAQ.html
	$(LINKS) $< > $@

EXTENDING.txt:	html/EXTENDING.html
	$(LINKS) $< > $@

ADVANCED-STAMPS-HOWTO.txt:	html/ADVANCED-STAMPS-HOWTO.html
	$(LINKS) $< > $@

## tuxpaint 0.9.20

=== Makefile ===
# Tux Paint - A simple drawing program for children.

# Copyright (c) 2002-2008 by Bill Kendrick and others
# bill@newbreedsoftware.com
# http://www.tuxpaint.org/

# June 14, 2002 - June 22, 2008


# The version number, for release:

VER_VERSION:=0.9.20
VER_DATE:=$(shell date +"%Y-%m-%d")
MAGIC_API_VERSION:=0x00000001

# Need to know the OS

SYSNAME:=$(shell uname -s)
ifeq ($(findstring MINGW32, $(SYSNAME)),MINGW32)
OS:=windows
else
ifeq ($(SYSNAME),Darwin)
OS:=osx
else
ifeq ($(SYSNAME),BeOS)
OS:=beos
else
ifeq ($(SYSNAME),Haiku)
OS:=beos
else
OS:=linux
endif
endif
endif
endif

# test if a library can be linked
linktest = $(shell if $(CC) $(CPPFLAGS) $(CFLAGS) -o dummy.o dummy.c $(LDFLAGS) $(1) $(2) > /dev/null 2>&1; \
	then \
		echo "$(1)"; \
	fi ;)

# test compiler options
comptest = $(shell if $(CC) $(CPPFLAGS) $(CFLAGS) $(1) $(2) -o dummy.o dummy.c $(LDFLAGS) > /dev/null 2>&1; \
	then \
		echo "$(1)"; \
	fi ;)

beos_RSRC_CMD:=xres -o tuxpaint src/tuxpaint.rsrc
RSRC_CMD:=$($(OS)_RSRC_CMD)

beos_MIMESET_CMD:=mimeset -f tuxpaint
MIMESET_CMD:=$($(OS)_MIMESET_CMD)

windows_SO_TYPE:=dll
osx_SO_TYPE:=bundle
beos_SO_TYPE:=so
linux_SO_TYPE:=so
SO_TYPE:=$($(OS)_SO_TYPE)

windows_LIBMINGW:=-lmingw32
LIBMINGW:=$($(OS)_LIBMINGW)

windows_EXE_EXT:=.exe
EXE_EXT:=$($(OS)_EXE_EXT)

windows_ARCH_LIBS:=obj/win32_print.o obj/resource.o
osx_ARCH_LIBS:=obj/postscript_print.o
beos_ARCH_LIBS:=obj/BeOS_print.o
linux_ARCH_LIBS:=obj/postscript_print.o
ARCH_LIBS:=$($(OS)_ARCH_LIBS)

PAPER_LIB:=$(call linktest,-lpaper,)
PNG:=$(call linktest,-lpng,)
PNG:=$(if $(PNG),$(PNG),$(call linktest,-lpng12,))

windows_ARCH_LINKS:=-lintl $(PNG) -lwinspool -lshlwapi
osx_ARCH_LINKS:=$(PAPER_LIB)
beos_ARCH_LINKS:="-lintl $(PNG) -lz -lbe -liconv"
linux_ARCH_LINKS:=$(PAPER_LIB)
ARCH_LINKS:=$($(OS)_ARCH_LINKS)

windows_ARCH_HEADERS:=src/win32_print.h
osx_ARCH_HEADERS:=
beos_ARCH_HEADERS:=src/BeOS_print.h
linux_ARCH_HEADERS:=
ARCH_HEADERS:=$($(OS)_ARCH_HEADERS)

# Where things will go when ultimately installed:
windows_PREFIX:=/usr/local
osx_PREFIX:=/usr/local
beos_PREFIX:=/boot/apps/Games/TuxPaint
linux_PREFIX:=/usr/local
PREFIX:=$($(OS)_PREFIX)


# Root directory to place files when creating packages.
# PKG_ROOT is the old name for this, and should be undefined.
# "TuxPaint-1" is the OLPC XO name. Installing to ./ is bad!
ifeq ($(PREFIX),./)
DESTDIR:=TuxPaint-1
else
DESTDIR:=$(PKG_ROOT)
endif

# Program:
BIN_PREFIX:=$(DESTDIR)$(PREFIX)/bin

# Data:
DATA_PREFIX:=$(DESTDIR)$(PREFIX)/share/tuxpaint

# Locale files
LOCALE_PREFIX=$(DESTDIR)$(PREFIX)/share/locale

# IM files
IM_PREFIX=$(DESTDIR)$(PREFIX)/share/tuxpaint/im

# Magic Tool plug-ins
INCLUDE_PREFIX:=$(DESTDIR)$(PREFIX)/include
MAGIC_PREFIX:=$(DESTDIR)$(PREFIX)/lib/tuxpaint/plugins


# Docs and man page:
DOC_PREFIX:=$(DESTDIR)$(PREFIX)/share/doc/tuxpaint
DEVDOC_PREFIX:=$(DESTDIR)$(PREFIX)/share/doc/tuxpaint-dev
MAN_PREFIX:=$(DESTDIR)$(PREFIX)/share/man
DEVMAN_PREFIX:=$(DESTDIR)$(PREFIX)/share/man


# 'System-wide' Config file:
ifeq ($(PREFIX),/usr)
  CONFDIR:=$(DESTDIR)/etc/tuxpaint
else
  CONFDIR:=$(DESTDIR)$(PREFIX)/etc/tuxpaint
endif

# Icons and launchers:
ICON_PREFIX:=$(DESTDIR)$(PREFIX)/share/pixmaps
X11_ICON_PREFIX:=$(DESTDIR)$(PREFIX)/X11R6/include/X11/pixmaps
GNOME_PREFIX:=$(shell gnome-config --prefix 2> /dev/null)
KDE_PREFIX:=$(shell kde-config --install apps --expandvars 2> /dev/null)
KDE_ICON_PREFIX:=$(shell kde-config --install icon --expandvars 2> /dev/null)

# Maemo flag
MAEMOFLAG:=


# Where to find cursor shape XBMs

MOUSEDIR:=mouse
CURSOR_SHAPES:=LARGE
# MOUSEDIR:=mouse/16x16
# CURSOR_SHAPES:=SMALL


# Libraries, paths, and flags:
SDL_LIBS:=$(shell sdl-config --libs) -lSDL_image -lSDL_ttf

# Sound support
SDL_MIXER_LIB:=$(call linktest,-lSDL_mixer,$(SDL_LIBS))
NOSOUNDFLAG:=$(if $(SDL_MIXER_LIB),,-DNOSOUND$(warning -lSDL_Mixer failed, no sound for you!))

# SDL Pango is needed to render complex scripts like Thai and Arabic
SDL_PANGO_LIB:=$(call linktest,-lSDL_Pango,$(SDL_LIBS))
NOPANGOFLAG:=$(if $(SDL_PANGO_LIB),,-DNO_SDLPANGO$(warning -lSDL_Pango failed, no scripts for you!))

SDL_LIBS+=$(SDL_MIXER_LIB) $(SDL_PANGO_LIB)

SDL_CFLAGS:=$(shell sdl-config --cflags)


# New one: -lrsvg-2 -lcairo
# Old one: -lcairo -lsvg -lsvg-cairo
SVG_LIB:=$(shell pkg-config --libs librsvg-2.0 cairo || pkg-config --libs libsvg-cairo)

# lots of -I things, so really should be SVG_CPPFLAGS
SVG_CFLAGS:=$(shell pkg-config --cflags librsvg-2.0 cairo || pkg-config --cflags libsvg-cairo)

# SVG support via Cairo
NOSVGFLAG:=$(if $(SVG_LIB),,-DNOSVG$(warning No SVG for you!))

# SVG support uses libcairo1
OLDSVGFLAG:=$(if $(filter -lsvg-cairo,$(SVG_LIB)),-DOLD_SVG,)


ifeq ($(hack),1)
hack:
	@echo 'SDL_PANGO_LIB is' $(SDL_PANGO_LIB)
	@echo 'SDL_MIXER_LIB is' $(SDL_MIXER_LIB)
	@echo 'SVG_LIB       is' $(SVG_LIB)
	@echo 'SDL_LIBS      is' $(SDL_LIBS)
	@echo 'SDL_CFLAGS    is' $(SDL_CFLAGS)
	@echo 'SVG_CFLAGS    is' $(SVG_CFLAGS)
	@echo 'LDFLAGS       is' $(LDFLAGS)
	@echo 'CFLAGS        is' $(CFLAGS)
	@echo 'CPPFLAGS      is' $(CPPFLAGS)
endif

# The entire set of CFLAGS:

#-ffast-math
OPTFLAGS:=-O2
CFLAGS:=$(CPPFLAGS) $(OPTFLAGS) -W -Wall -fno-common -ffloat-store \
	$(call comptest,-fvisibility=hidden,) \
	-Wcast-align -Wredundant-decls \
	-Wbad-function-cast -Wwrite-strings \
	-Waggregate-return \
	-Wstrict-prototypes -Wmissing-prototypes \
	$(shell src/test-option.sh -Wstrict-aliasing=2)

DEFS:=-DVER_DATE=\"$(VER_DATE)\" -DVER_VERSION=\"$(VER_VERSION)\" \
	-DDATA_PREFIX=\"$(patsubst $(DESTDIR)%,%,$(DATA_PREFIX))/\" \
	-DDOC_PREFIX=\"$(patsubst $(DESTDIR)%,%,$(DOC_PREFIX))/\" \
	-DLOCALEDIR=\"$(patsubst $(DESTDIR)%,%,$(LOCALE_PREFIX))/\" \
	-DIMDIR=\"$(patsubst $(DESTDIR)%,%,$(IM_PREFIX))/\" \
	-DCONFDIR=\"$(patsubst $(DESTDIR)%,%,$(CONFDIR))/\" \
	-DMAGIC_PREFIX=\"$(patsubst $(DESTDIR)%,%,$(MAGIC_PREFIX))/\" \
	$(NOSOUNDFLAG) $(NOSVGFLAG) $(OLDSVGFLAG) $(NOPANGOFLAG) \
	$(MAEMOFLAG)

DEBUG_FLAGS:=
#DEBUG_FLAGS:=-g

MOUSE_CFLAGS:=-Isrc/$(MOUSEDIR) -D$(CURSOR_SHAPES)_CURSOR_SHAPES

.SUFFIXES:

#############################################################################
#############################################################################
#############################################################################
#
# "make" with no arguments builds the program and man page from sources:
#
.PHONY: all
all:	tuxpaint translations magic-plugins tp-magic-config
	@echo
	@echo "--------------------------------------------------------------"
	@echo
	@echo "Done compiling."
	@echo
	@echo "Now run 'make install' with any options you ran 'make' with."
	@echo "to install Tux Paint."
	@echo
	@echo "You may need superuser ('root') privileges, depending on"
	@echo "where you're installing."
	@echo "(Depending on your system, you either need to 'su' first,"
	@echo "or run 'sudo make install'.)"
	@echo

.PHONY: releaseclean
releaseclean:
	@echo
	@echo "Cleaning release directory"
	@echo
	@rm -rf "build/tuxpaint-$(VER_VERSION)" "build/tuxpaint-$(VER_VERSION).tar.gz"
	@-if [ -d build ] ; then rmdir build ; fi

.PHONY: releasedir
releasedir: build/tuxpaint-$(VER_VERSION)


build/tuxpaint-$(VER_VERSION):
	@echo
	@echo "Creating release directory"
	@echo
	@mkdir -p build/tuxpaint-$(VER_VERSION)
	@find . -follow \
	     \( -wholename '*/CVS' -o -name .cvsignore -o -name 'dummy.o' -o -name 'build' -o -name '.#*' \) \
	     -prune -o -type f -exec cp --parents -vdp \{\} build/tuxpaint-$(VER_VERSION)/ \;

.PHONY: release
release: releasedir
	@echo
	@echo "Creating release tarball"
	@echo
	@cd build ; \
	    tar -czvf tuxpaint-$(VER_VERSION).tar.gz tuxpaint-$(VER_VERSION)

# "make olpc" builds the program for an OLPC XO:
.PHONY: olpc
olpc:
	@echo
	@echo "Building for an OLPC XO"
	@echo
	make PREFIX:=. OPTFLAGS:='-O2 -fno-tree-pre -march=athlon -mtune=generic -mpreferred-stack-boundary=2 -mmmx -m3dnow -fomit-frame-pointer -falign-functions=0 -falign-jumps=0 -DOLPC_XO -DSUGAR'

# "make nokia770" builds the program for the Nokia 770.
.PHONY: nokia770
nokia770:
	make \
		DATA_PREFIX:=/usr/share/tuxpaint \
		MAEMOFLAG:=-DNOKIA_770 \
		LOCALE_PREFIX:=$(PREFIX)/share/locale \
		CONFDIR:=/etc/tuxpaint

##### i18n stuff

POFILES:=$(wildcard src/po/*.po)
MOFILES:=$(patsubst src/po/%.po,trans/%.mo,$(POFILES))
INSTALLED_MOFILES:=$(patsubst trans/%.mo,$(LOCALE_PREFIX)/%/LC_MESSAGES/tuxpaint.mo,$(MOFILES))

$(INSTALLED_MOFILES): $(LOCALE_PREFIX)/%/LC_MESSAGES/tuxpaint.mo: trans/%.mo
	install -D -m 644 $< $@

.PHONY: uninstall-i18n
uninstall-i18n:
	-rm $(LOCALE_PREFIX)/*/LC_MESSAGES/tuxpaint.mo
	-rm $(IM_PREFIX)/ja.im
	-rm $(IM_PREFIX)/ko.im
	-rm $(IM_PREFIX)/th.im
	-rm $(IM_PREFIX)/zh_tw.im


# Install the translated text:
# We can install *.mo files if they were already generated, or if it can be
# generated from the *.po files.  The *.mo files can be generated from the
# *.po files if we have the converter program, msgfmt, installed in the
# system.  So we test for both and install them if either case is found
# to be true.  If neither case is found to be true, we'll just install
# Tux Paint without the translation files.
.PHONY: install-gettext
ifeq "$(wildcard trans/*.mo)$(shell msgfmt -h)" ""
install-gettext:
	@echo
	@echo "--------------------------------------------------------------"
	@echo "Cannot install translation files because no translation files"
	@echo "were found (trans/*.mo) and the 'msgfmt' program is not installed."
	@echo "You will not be able to run Tux Paint in non-U.S. English modes."
	@echo "--------------------------------------------------------------"
else
install-gettext: $(INSTALLED_MOFILES)
endif


# Install the Input Method files:
.PHONY: install-im
ifneq ($(IM_PREFIX),)
install-im:
	@echo
	@echo "...Installing Input Method files..."
	@#
	@install -d $(IM_PREFIX)
	@#
	@echo "   ja ...Japanese..."
	@cp im/ja.im $(IM_PREFIX)/ja.im
	@chmod 644 $(IM_PREFIX)/ja.im
	@#
	@echo "   ko ...Korean..."
	@cp im/ko.im $(IM_PREFIX)/ko.im
	@chmod 644 $(IM_PREFIX)/ko.im
	@#
	@echo "   th ...Thai..."
	@cp im/th.im $(IM_PREFIX)/th.im
	@chmod 644 $(IM_PREFIX)/th.im
	@#
	@echo "   zh_tw ...Traditional Chinese..."
	@cp im/zh_tw.im $(IM_PREFIX)/zh_tw.im
	@chmod 644 $(IM_PREFIX)/zh_tw.im
else
install-im:
	@echo
	@echo "...Not Installing Input Method files (no IM_PREFIX defined)..."
endif


# Build the translation files for gettext

$(MOFILES): trans/%.mo: src/po/%.po  
	msgfmt -o $@ $<

.PHONY: translations
ifeq "$(shell msgfmt -h)" ""
translations: trans
	@echo "--------------------------------------------------------------"
	@echo "Cannot find program 'msgfmt'!"
	@echo "No translation files will be prepared."
	@echo "Install gettext to run Tux Paint in non-U.S. English modes."
	@echo "--------------------------------------------------------------"
else
translations: trans $(MOFILES)
endif

trans:
	@echo
	@echo "...Preparing translation files..."
	@mkdir trans

######

windows_ARCH_INSTALL:=
osx_ARCH_INSTALL:=
beos_ARCH_INSTALL:=
linux_ARCH_INSTALL:=install-gnome install-kde install-kde-icons
ARCH_INSTALL:=$($(OS)_ARCH_INSTALL)

# "make install" installs all of the various parts
# (depending on the *PREFIX variables at the top, you probably need
# to do this as superuser ("root"))
.PHONY: install
install:	install-bin install-data install-man install-doc \
		install-magic-plugins \
		install-magic-plugin-dev \
		install-icon install-gettext install-im install-importscript \
		install-default-config install-example-stamps \
		install-example-starters \
		$(ARCH_INSTALL)
	@echo
	@echo "--------------------------------------------------------------"
	@echo
	@echo "All done! Now (preferably NOT as 'root' superuser),"
	@echo "you can type the command 'tuxpaint' to run the program!!!"
	@echo
	@echo "For more information, see the 'tuxpaint' man page,"
	@echo "run 'tuxpaint --usage' or see $(DOC_PREFIX)/README.txt"
	@echo
	@echo "Visit Tux Paint's home page for more information, updates"
	@echo "and to learn how you can help out!"
	@echo
	@echo "  http://www.tuxpaint.org/"
	@echo
	@echo "Enjoy!"

## tuxpaint 0.9.21

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,17 @@
 # Tux Paint - A simple drawing program for children.
 
-# Copyright (c) 2002-2008 by Bill Kendrick and others
+# Copyright (c) 2002-2009 by Bill Kendrick and others
 # bill@newbreedsoftware.com
 # http://www.tuxpaint.org/
 
-# June 14, 2002 - June 22, 2008
+# June 14, 2002 - April 28, 2009
 
 
 # The version number, for release:
 
-VER_VERSION:=0.9.20
+VER_VERSION:=0.9.21
 VER_DATE:=$(shell date +"%Y-%m-%d")
-MAGIC_API_VERSION:=0x00000001
+MAGIC_API_VERSION:=0x00000002
 
 # Need to know the OS
 
@@ -74,10 +74,13 @@
 PNG:=$(call linktest,-lpng,)
 PNG:=$(if $(PNG),$(PNG),$(call linktest,-lpng12,))
 
-windows_ARCH_LINKS:=-lintl $(PNG) -lwinspool -lshlwapi
-osx_ARCH_LINKS:=$(PAPER_LIB)
-beos_ARCH_LINKS:="-lintl $(PNG) -lz -lbe -liconv"
-linux_ARCH_LINKS:=$(PAPER_LIB)
+FRIBIDI_LIB:=$(shell pkg-config --libs fribidi)
+FRIBIDI_CFLAGS:=$(shell pkg-config --cflags fribidi)
+
+windows_ARCH_LINKS:=-lintl $(PNG) -lwinspool -lshlwapi $(FRIBIDI_LIB)
+osx_ARCH_LINKS:=$(PAPER_LIB) $(FRIBIDI_LIB)
+beos_ARCH_LINKS:="-lintl $(PNG) -lz -lbe -liconv $(FRIBIDI_LIB)"
+linux_ARCH_LINKS:=$(PAPER_LIB) $(FRIBIDI_LIB)
 ARCH_LINKS:=$($(OS)_ARCH_LINKS)
 
 windows_ARCH_HEADERS:=src/win32_print.h
@@ -413,9 +416,3 @@
 	@echo "For more information, see the 'tuxpaint' man page,"
 	@echo "run 'tuxpaint --usage' or see $(DOC_PREFIX)/README.txt"
 	@echo
-	@echo "Visit Tux Paint's home page for more information, updates"
-	@echo "and to learn how you can help out!"
-	@echo
-	@echo "  http://www.tuxpaint.org/"
-	@echo
-	@echo "Enjoy!"

=== docs/Makefile ===
# Makefile for Tux Paint docs
# 
# Uses "links" to convert docs from HTML to plain text.
# (Normally only ran by the developers after updating the HTML, prior to
# release.)
#
# Bill Kendrick
# bill@newbreedsoftware.com
# 
# Sept. 4, 2005 - March 28, 2008
# $Id: Makefile,v 1.9 2008/05/24 06:41:06 albert Exp $

# Bah, "-no-numbering" and "-no-references" went away recently!? -bjk 2008.04.28
LINKS_OPTIONS:=-dump
LINKS:=links $(LINKS_OPTIONS)

HTMLFILES:=$(wildcard html/*.html)
TEXTFILES:=$(patsubst html/%.html,%.txt,$(HTMLFILES))

.PHONY: all
all:	$(TEXTFILES)

.PHONY: clean
clean:
	-rm $(TEXTFILES)

$(TEXTFILES): %.txt: html/%.html  
	$(LINKS) $< > $@

## tuxpaint 0.9.21-1maemo1

=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo1) unstable; urgency=low

  * packaging to maemo fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  15 Apr 2010 13:48:59 +0300

tuxpaint (1:0.9.15b-1maemo1) fremantle; urgency=low

  * porting to maemo fremantle

 -- Alessandro Pasotti <apasotti@gmail.com>  Thu,  3 Sep 2009 15:04:49 +0100

tuxpaint (1:0.9.15b-1ubuntu1) dapper; urgency=low

  * removed dependency on netpbm

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 25 Jan 2006 18:04:30 +0100

tuxpaint (1:0.9.15b-1) unstable; urgency=high

  * New upstream release.
  * Security: unsafe tuxpaint-import tmp file writing eliminated. (CVE-2005-3340)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 15 Dec 2005 10:10:11 -0400

tuxpaint (1:0.9.14.20051014-1) unstable; urgency=low

  * CVS snapshot, preparing for imminent 0.9.15 release.  (Closes: #279220)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 14 Oct 2005 20:53:25 -0300

tuxpaint (1:0.9.14-2) unstable; urgency=low

  * Disabled broken header check, since we know we have satisified
    all dependencies. (Closes: #300632)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 20 Mar 2005 19:06:40 -0400

tuxpaint (1:0.9.14-1) unstable; urgency=low

  * Fixed location of starters dir.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 12 Oct 2004 20:28:20 -0300

tuxpaint (1:0.9.14-0.2) unstable; urgency=low

  * Added working watch file.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  7 Oct 2004 21:11:39 -0300

tuxpaint (1:0.9.14-0.1) unstable; urgency=low

  * Prerelease.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  7 Oct 2004 09:36:46 -0300

tuxpaint (1:0.9.13.20041003-1) unstable; urgency=low

  * CVS snapshot.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  3 Oct 2004 22:06:13 -0300

tuxpaint (1:0.9.13.20040924-1) unstable; urgency=low

  * CVS snapshot.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 24 Sep 2004 21:40:33 -0300

tuxpaint (1:0.9.13-2) unstable; urgency=low

  * Replace outdated copy of default font with link to font
    from ttf-freefont.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 26 Dec 2003 20:13:53 -0400

tuxpaint (1:0.9.13-1) unstable; urgency=low

  * New upstream.
  * No longer install copies of FreeFont fonts in favour of depending
    on ttf-freefont.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed, 24 Dec 2003 12:07:50 -0400

tuxpaint (1:0.9.12.20031222-1) unstable; urgency=low

  * New upstream (0.9.13rc1).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 22 Dec 2003 06:59:58 -0400

tuxpaint (1:0.9.12.20031219-1) unstable; urgency=low

  * New upstream (cvs snapshot).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 19 Dec 2003 16:19:04 -0400

tuxpaint (1:0.9.12.20030906-1) unstable; urgency=low

  * New upstream (cvs snapshot).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat,  6 Sep 2003 11:26:39 -0300

tuxpaint (1:0.9.12-1) unstable; urgency=low

  * New upstream.
  * Removed experimental tuxpaint-lowband.
  * New version has some enhancements which make X over network usable.
    (Closes: #172129)
  * Make tuxpaint depend on recent tuxpaint-data.  (Closes: #188522)
  * Added updated README.txt (fixed in cvs, was missing new Malay 
    language support).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 21 Aug 2003 21:16:53 -0300

tuxpaint (1:0.9.11-1) unstable; urgency=low

  * New upstream.  (Closes: #197894)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 19 Jun 2003 21:17:14 -0300

tuxpaint (1:0.9.10-3) unstable; urgency=low

  * Added commented-out rules for tuxpaint-lowband with low bandwidth 
    code turned on.  Experimental only, so I have decided not to
    enable this without further iterations of testing and discussion
    with upstream.
  * Build-dep updated to fix libvorbis upgrade problem.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri,  7 Mar 2003 17:54:00 -0400

tuxpaint (1:0.9.10-2) unstable; urgency=low

  * Build against libsdl-ttf2.0.  (Closes: #153584)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  6 Mar 2003 17:20:40 -0400

tuxpaint (1:0.9.10-1) unstable; urgency=low

  * The "Thanks for the non-latin font support, Bill" release.
  * Applied locale wav filename fix, fwded upstream and committed to 
    CVS.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 28 Feb 2003 14:05:01 -0400

tuxpaint (1:0.9.9-2) unstable; urgency=low

  * Whups, forgot the orig tarball rename.  (Closes: #180285)
  * KDE_PREFIX now hardwired.  (Closes: #182756)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 28 Feb 2003 10:31:02 -0400

tuxpaint (1:0.9.9-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat,  1 Feb 2003 15:22:29 -0400

tuxpaint (1:0.9.1-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 16 Nov 2002 18:54:35 -0400

tuxpaint (1:0.9.0-1) unstable; urgency=low

  * New upstream.
  * Version# scheme changed.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 12 Nov 2002 08:58:22 -0400

tuxpaint (2002.11.03-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 11 Nov 2002 22:52:04 -0400

tuxpaint (2002.10.06-2) unstable; urgency=low

  * Make sure the KDE icons install properly. (Closes: #164675)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 14 Oct 2002 09:53:48 -0300

tuxpaint (2002.10.06-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue,  8 Oct 2002 15:30:50 -0300

tuxpaint (2002.09.29-1) unstable; urgency=low

  * New upstream.
  * The tuxpaint-import script and man page are now installed.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue,  1 Oct 2002 13:03:32 -0300

tuxpaint (2002.09.25-1) unstable; urgency=low

  * New upstream.
  * Upstream has split tuxpaint into two tarballs, the main program,
    which I package here as tuxpaint and tuxpaint-data, and the


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5

export DH_ALWAYS_EXCLUDE=CVS

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUG_FLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build-arch: configure-stamp build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) clean
	$(MAKE) all PREFIX=/opt DEBUG_FLAGS="$(DEBUG_FLAGS)"

	touch build-arch-stamp


build-indep: configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Nothing to do here.

	touch build-indep-stamp


build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A

	install -d ${CURDIR}/debian/tuxpaint/opt/tuxpaint
	install -d ${CURDIR}/debian/tuxpaint/opt/tuxpaint/pixmaps
	install -d ${CURDIR}/debian/tuxpaint/opt/tuxpaint/applnk
	install -d ${CURDIR}/debian/tuxpaint/usr/share/applications/hildon
	install -d ${CURDIR}/debian/tuxpaint/usr/share/icons/hicolor/64x64/hildon

	# tuxpaint:
	$(MAKE) install-bin install-icon  \
	  install-default-config install-data install-gettext \
	  install-example-stamps install-example-starters \
	  PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/ \
		DATA_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/ \
	  CONFDIR=$(CURDIR)/debian/tuxpaint/etc/tuxpaint \
	  GNOME_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/ \
	  KDE_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/applnk/ \
	  X11_ICON_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/pixmaps/

	#Desktop file and icon 
	install ${CURDIR}/tuxpaint_n900.desktop ${CURDIR}/debian/tuxpaint/usr/share/applications/hildon
	install ${CURDIR}/data/images/icon64x64.png     ${CURDIR}/debian/tuxpaint/usr/share/icons/hicolor/64x64/hildon

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	#dh_installdocs -i
	#dh_installchangelogs -i
	#dh_installmenu -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	#dh_installdocs -a
	#dh_installchangelogs -a docs/CHANGES.txt
	#dh_installmenu -a
	dh_installcron -a
	#dh_installman -a src/manpage/tuxpaint.1 src/manpage/tuxpaint-import.1
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tuxpaint 0.9.21-1maemo3

=== Makefile ===
--- 
+++ 
@@ -93,7 +93,7 @@
 windows_PREFIX:=/usr/local
 osx_PREFIX:=/usr/local
 beos_PREFIX:=/boot/apps/Games/TuxPaint
-linux_PREFIX:=/usr/local
+linux_PREFIX:=/opt/tuxpaint
 PREFIX:=$($(OS)_PREFIX)
 
 
@@ -107,20 +107,20 @@
 endif
 
 # Program:
-BIN_PREFIX:=$(DESTDIR)$(PREFIX)/bin
+BIN_PREFIX:=$(DESTDIR)$(PREFIX)/
 
 # Data:
-DATA_PREFIX:=$(DESTDIR)$(PREFIX)/share/tuxpaint
+DATA_PREFIX:=$(DESTDIR)$(PREFIX)/
 
 # Locale files
-LOCALE_PREFIX=$(DESTDIR)$(PREFIX)/share/locale
+LOCALE_PREFIX=$(DESTDIR)$(PREFIX)/locale
 
 # IM files
-IM_PREFIX=$(DESTDIR)$(PREFIX)/share/tuxpaint/im
+IM_PREFIX=$(DESTDIR)$(PREFIX)/im
 
 # Magic Tool plug-ins
 INCLUDE_PREFIX:=$(DESTDIR)$(PREFIX)/include
-MAGIC_PREFIX:=$(DESTDIR)$(PREFIX)/lib/tuxpaint/plugins
+MAGIC_PREFIX:=$(DESTDIR)$(PREFIX)/plugins
 
 
 # Docs and man page:
@@ -131,15 +131,11 @@
 
 
 # 'System-wide' Config file:
-ifeq ($(PREFIX),/usr)
-  CONFDIR:=$(DESTDIR)/etc/tuxpaint
-else
-  CONFDIR:=$(DESTDIR)$(PREFIX)/etc/tuxpaint
-endif
+CONFDIR:=$(DESTDIR)$(PREFIX)/etc/
 
 # Icons and launchers:
-ICON_PREFIX:=$(DESTDIR)$(PREFIX)/share/pixmaps
-X11_ICON_PREFIX:=$(DESTDIR)$(PREFIX)/X11R6/include/X11/pixmaps
+ICON_PREFIX:=$(DESTDIR)$(PREFIX)/pixmaps
+X11_ICON_PREFIX:=$(DESTDIR)$(PREFIX)/pixmaps
 GNOME_PREFIX:=$(shell gnome-config --prefix 2> /dev/null)
 KDE_PREFIX:=$(shell kde-config --install apps --expandvars 2> /dev/null)
 KDE_ICON_PREFIX:=$(shell kde-config --install icon --expandvars 2> /dev/null)
@@ -212,12 +208,12 @@
 	$(shell src/test-option.sh -Wstrict-aliasing=2)
 
 DEFS:=-DVER_DATE=\"$(VER_DATE)\" -DVER_VERSION=\"$(VER_VERSION)\" \
-	-DDATA_PREFIX=\"$(patsubst $(DESTDIR)%,%,$(DATA_PREFIX))/\" \
+	-DDATA_PREFIX=\"/opt/tuxpaint/\" \
 	-DDOC_PREFIX=\"$(patsubst $(DESTDIR)%,%,$(DOC_PREFIX))/\" \
-	-DLOCALEDIR=\"$(patsubst $(DESTDIR)%,%,$(LOCALE_PREFIX))/\" \
-	-DIMDIR=\"$(patsubst $(DESTDIR)%,%,$(IM_PREFIX))/\" \
-	-DCONFDIR=\"$(patsubst $(DESTDIR)%,%,$(CONFDIR))/\" \
-	-DMAGIC_PREFIX=\"$(patsubst $(DESTDIR)%,%,$(MAGIC_PREFIX))/\" \
+	-DLOCALEDIR=\"/opt/tuxpaint\locale/\" \
+	-DIMDIR=\"/opt/tuxpaint/im/\" \
+	-DCONFDIR=\"/opt/tuxpaint/etc/\" \
+	-DMAGIC_PREFIX=\"/opt/tuxpaint/plugins/\" \
 	$(NOSOUNDFLAG) $(NOSVGFLAG) $(OLDSVGFLAG) $(NOPANGOFLAG) \
 	$(MAEMOFLAG)
 
@@ -393,17 +389,16 @@
 windows_ARCH_INSTALL:=
 osx_ARCH_INSTALL:=
 beos_ARCH_INSTALL:=
-linux_ARCH_INSTALL:=install-gnome install-kde install-kde-icons
+linux_ARCH_INSTALL:=
 ARCH_INSTALL:=$($(OS)_ARCH_INSTALL)
 
 # "make install" installs all of the various parts
 # (depending on the *PREFIX variables at the top, you probably need
 # to do this as superuser ("root"))
 .PHONY: install
-install:	install-bin install-data install-man install-doc \
+install:	install-bin install-data  \
 		install-magic-plugins \
-		install-magic-plugin-dev \
-		install-icon install-gettext install-im install-importscript \
+		install-icon install-gettext install-im  \
 		install-default-config install-example-stamps \
 		install-example-starters \
 		$(ARCH_INSTALL)
@@ -416,3 +411,17 @@
 	@echo "For more information, see the 'tuxpaint' man page,"
 	@echo "run 'tuxpaint --usage' or see $(DOC_PREFIX)/README.txt"
 	@echo
+	@echo "Visit Tux Paint's home page for more information, updates"
+	@echo "and to learn how you can help out!"
+	@echo
+	@echo "  http://www.tuxpaint.org/"
+	@echo
+	@echo "Enjoy!"
+	@echo
+
+.PHONY: install-magic-plugins
+install-magic-plugins:
+	@echo
+	@echo "...Installing Magic Tool plug-ins..."
+	@install -d $(MAGIC_PREFIX)
+	@cp magic/*.$(SO_TYPE) $(MAGIC_PREFIX)

=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo3) unstable; urgency=low

  * packaging for maemo fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed,  16 Apr 2010 21:49:59 +0300

## tuxpaint 0.9.21-1maemo4

=== Makefile ===
--- 
+++ 
@@ -210,9 +210,9 @@
 DEFS:=-DVER_DATE=\"$(VER_DATE)\" -DVER_VERSION=\"$(VER_VERSION)\" \
 	-DDATA_PREFIX=\"/opt/tuxpaint/\" \
 	-DDOC_PREFIX=\"$(patsubst $(DESTDIR)%,%,$(DOC_PREFIX))/\" \
-	-DLOCALEDIR=\"/opt/tuxpaint\locale/\" \
+	-DLOCALEDIR=\"/opt/tuxpaint\locale\" \
 	-DIMDIR=\"/opt/tuxpaint/im/\" \
-	-DCONFDIR=\"/opt/tuxpaint/etc/\" \
+	-DCONFDIR=\"/opt/tuxpaint/etc\" \
 	-DMAGIC_PREFIX=\"/opt/tuxpaint/plugins/\" \
 	$(NOSOUNDFLAG) $(NOSVGFLAG) $(OLDSVGFLAG) $(NOPANGOFLAG) \
 	$(MAEMOFLAG)

=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo4) unstable; urgency=low

  * packaging for maemo fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat,  17 Apr 2010 13:49:59 +0300

=== debian/control ===
Source: tuxpaint
Section: user/education
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5), gettext, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-pango-dev, libsdl-mixer1.2-dev (>= 1.2.4-1.1), libsdl-ttf2.0-dev, libpng12-dev, libvorbis-dev, gperf, libpaper-dev, librsvg2-dev, libfribidi-dev
Standards-Version: 3.7.2

Package: tuxpaint
Architecture: any
Depends: ${shlibs:Depends}, libvorbis0a, libvorbisfile3, libpaper1, libfribidi0, librsvg2-2
Description: A paint program for young children
 Tux Paint is meant to be a simple drawing program for young
 children.  It is not meant as a general-purpose drawing tool.
 It IS meant to be fun and easy to use.  Sound effects and a
 cartoon character help let the user know what's going on, and
 keeps them entertained.
 .
 Tux Paint is extensible.  Brushes and "rubber stamp" shapes can be
 dropped in and pulled out.  For example, a teacher can drop in a
 collection of animal shapes and ask their students to draw an
 ecosystem.  Each shape can have a sound which is played, and
 textual facts which are displayed, when the child selects the shape.
 .
 There is no direct access to the computer's underlying intricacies.
 The current image is kept when the program quits, and reappears when
 it is restarted.  Saving images requires no need to create filenames
 or use the keyboard.  Opening an image is done by selecting it from
 a collection of thumbnails.
XSBC-Bugtracker: aapo.rantalainen@gmail.com
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wcJCA8EgiGcwwAAAB10RVh0Q29tbWVudABDcmVhdGVk
 IHdpdGggVGhlIEdJTVDvZCVuAAAEX0lEQVRIx92Wf0yVVRjHv/fc+773p0pKLswfhImZDBxWSFmo
 RYFDFG3T6ZZDnJRstrApOoe15poZMZZiTZOWUBFpDRVIM5RKFwU60SkpP65IcsErPy4/vPe+7/vt
 Dxd6u4DMNv/obM8/73m+5/O85zznOY9OU1XiAQyBBzT+fyDDfxGr3k6cqf4D9XYnoqPCMGHSk4M7
 a6rK+zF7w2W+FDODRqNEIQQDR49kzo6Ng/rfF6jjRgOffzaCsmygEIKSJFEvBE0mE0sOH7w3qOXa
 JXZ3tlLxdNPV2T4o6MeSPF6ureWunB3M3LKZN51tXJIUTyEE58fNpeL1DAzq7upgasoyBk8MZGTE
 48xIX8n4V2Lo9bgHBB0pLmRXZweb7HZ2u1zUVJVF3xRSCMERNhNvXq/0BykeF1NWJlEI4WNWi5Fn
 q075Cf6y13Dvp7mMj32OV/68xC0ZaWyy1/HzfXv6tVWnS/x04peKo/i66Ihfktxye1HwRQ5I7XaG
 qR78cOAdfLsrCRO4Bx9smAWlpw6BgeMACBTk7+vXVp5p9E/v3yrPoe+W4jdBAjm7DyD0iaeRnPI6
 Sg9/h4C2D7EqVoXZSADn4Wr9BEtmp+HjnTtRXlHZr1XcTn/QogVzoVcbcezERfx0sgqqdqf0KYqG
 N9M3w9HSjIdNDRCyCWs/8iJvkxsAMMLsgbk3GydLdNDu0rW0OAa/R66uTm7LTGXAKKvfeen1govn
 mHlqt4mHthupVkg+tjjG5OOfm5vrf0b/AK1WGzZtzcXx0v2YOWMqdDrfbTz0qxfVdRLmROp8Am3v
 0uF8vXrvMjJQ+jod9UxLXUGb1TdSWTYwPHQEt60xMG+zxMJ3JS6NtVGv1/v4RT0TScf15uFVBsXr
 ZlFBFh8NeshnEcmgp8UkUZb0flt8t82LmUVnm2P4Jeh0RTEDRtkohOD0aaGsOVtN5402Xqg5x1cX
 vXwnAMngB4uLnc12p2N4oBNHC2i1WiiE4Nvpb/nM1V+5QKvVQkkycOXyxAH/LDMjeXighNgwWixG
 ZmxYz6arV6mpKnurr/DWa/l0bPqMq5YlUJYlrktbzfCwqX6gycFj2dFWNzSo8nQ5JcnAdWmpVDy3
 C2VfcxO7pmylS1rPk5FxPPblG8zPepHrlo5l9vsbKf9rCyeNH82brZc55MNXkJ8HVdWwes1aCL0e
 AOAuuohqXSvaYgRqA8ZAvtgLzVGJhKdUiGATjEYJSq+7f43Z0ZEIGBMy9AurKLfvh6Zp/d964iZj
 5or3YB5pAwk0X2tEVNRBJC2Yj4bS4+i5CzIpSEbywkegejuGBkmyBQBQVlaG8PBwAEDQlGDfpkMn
 oGlA+c+/o9HeDAAYE2BFT58H2VnbMS1yOnTCOHRzsnDRYgghcKj4e3g8nkH9CKCuoQkRYSFIW7Mc
 iYmJMBgEAoOmIWjyXAi9+d49wwvRoZRliV/t3ztw+pcfp9ksUwjBkMcmcvy4sRRC0Gazscne2O/3
 N9/Tg9yTZ/q3AAAAAElFTkSuQmCC

=== debian/rules ===
--- 
+++ 
@@ -64,25 +64,18 @@
 	dh_installdirs -A
 
 	install -d ${CURDIR}/debian/tuxpaint/opt/tuxpaint
-	install -d ${CURDIR}/debian/tuxpaint/opt/tuxpaint/pixmaps
-	install -d ${CURDIR}/debian/tuxpaint/opt/tuxpaint/applnk
 	install -d ${CURDIR}/debian/tuxpaint/usr/share/applications/hildon
 	install -d ${CURDIR}/debian/tuxpaint/usr/share/icons/hicolor/64x64/hildon
 
 	# tuxpaint:
-	$(MAKE) install-bin install-icon  \
-	  install-default-config install-data install-gettext \
-	  install-example-stamps install-example-starters \
-	  PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/ \
-		DATA_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/ \
-	  CONFDIR=$(CURDIR)/debian/tuxpaint/etc/tuxpaint \
-	  GNOME_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/ \
-	  KDE_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/applnk/ \
-	  X11_ICON_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/pixmaps/
+	$(MAKE) install \
+	  PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint \
 
-	#Desktop file and icon 
-	install ${CURDIR}/tuxpaint_n900.desktop ${CURDIR}/debian/tuxpaint/usr/share/applications/hildon
+
+	#Desktop file and icon and startscript
+	install ${CURDIR}/tuxpaint_n900.desktop ${CURDIR}/debian/tuxpaint/usr/share/applications/hildon/tuxpaint.desktop
 	install ${CURDIR}/data/images/icon64x64.png     ${CURDIR}/debian/tuxpaint/usr/share/icons/hicolor/64x64/hildon
+	install ${CURDIR}/tuxpaint.sh ${CURDIR}/debian/tuxpaint/opt/tuxpaint
 
 # Build architecture-independent files here.
 binary-indep: build install

## tuxpaint 0.9.21-1maemo5

=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo5) unstable; urgency=low

  * packaging for maemo fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat,  17 Apr 2010 18:42:59 +0300

=== debian/rules ===
--- 
+++ 
@@ -72,10 +72,10 @@
 	  PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint \
 
 
-	#Desktop file and icon and startscript
+	#Desktop file and icon
 	install ${CURDIR}/tuxpaint_n900.desktop ${CURDIR}/debian/tuxpaint/usr/share/applications/hildon/tuxpaint.desktop
 	install ${CURDIR}/data/images/icon64x64.png     ${CURDIR}/debian/tuxpaint/usr/share/icons/hicolor/64x64/hildon
-	install ${CURDIR}/tuxpaint.sh ${CURDIR}/debian/tuxpaint/opt/tuxpaint
+
 
 # Build architecture-independent files here.
 binary-indep: build install
